> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/get-started/configuration/5.-push-notifications/handle-push-tokens.md).

# Gestionar tokens push

## Actualizar el token de push

El proveedor de push puede rotar el token de push (actualización del token).

Cuando el token cambie, notifique al SDK de NFC Wallet usando la API `ProvisioningBusinessService.updatePushToken`.

{% code expandable="true" %}

```java
void updateToken(@NonNull final Context context,
                 @Nullable final String token) {
    final ProvisioningBusinessService provisioningService = 
                 ProvisioningServiceManager.getProvisioningBusinessService();
    provisioningService.updatePushToken(token, new PushServiceListener() {
    
        @Override
        public void onComplete() {
            // Éxito
        }
    
        @Override
        public void onError(final ProvisioningServiceError provisioningServiceError) {
            // Manejar error.
        }

        @Override
        public void onUnsupportedPushContent(final Bundle bundle) {
            // No relevante para actualizaciones del token de push.
        }

        @Override
        public void onServerMessage(final String message, final ProvisioningServiceMessage provisioningServiceMessage) {
            // No relevante para actualizaciones del token de push.
        }
     });
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/get-started/configuration/5.-push-notifications/handle-push-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
